using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability371.Domain;

public class TaobaoTbkCouponGetMapData
{

    /*
        优惠券门槛金额
    */
    private string? couponStartFee;


    /*
        优惠券剩余量
    */
    private long? couponRemainCount;


    /*
        优惠券总量
    */
    private long? couponTotalCount;


    /*
        优惠券结束时间
    */
    private string? couponEndTime;


    /*
        优惠券开始时间
    */
    private string? couponStartTime;


    /*
        优惠券金额
    */
    private string? couponAmount;


    /*
        券类型，1 表示全网公开券，4 表示妈妈渠道券
    */
    private long? couponSrcScene;


    /*
        券属性，0表示店铺券，1表示单品券
    */
    private long? couponType;


    /*
        券ID
    */
    private string? couponActivityId;



    [JsonPropertyName("coupon_start_fee")]
    public string? CouponStartFee
    {
        get => couponStartFee;
        set => this.couponStartFee = value;
    }

    [JsonPropertyName("coupon_remain_count")]
    public long? CouponRemainCount
    {
        get => couponRemainCount;
        set => this.couponRemainCount = value;
    }

    [JsonPropertyName("coupon_total_count")]
    public long? CouponTotalCount
    {
        get => couponTotalCount;
        set => this.couponTotalCount = value;
    }

    [JsonPropertyName("coupon_end_time")]
    public string? CouponEndTime
    {
        get => couponEndTime;
        set => this.couponEndTime = value;
    }

    [JsonPropertyName("coupon_start_time")]
    public string? CouponStartTime
    {
        get => couponStartTime;
        set => this.couponStartTime = value;
    }

    [JsonPropertyName("coupon_amount")]
    public string? CouponAmount
    {
        get => couponAmount;
        set => this.couponAmount = value;
    }

    [JsonPropertyName("coupon_src_scene")]
    public long? CouponSrcScene
    {
        get => couponSrcScene;
        set => this.couponSrcScene = value;
    }

    [JsonPropertyName("coupon_type")]
    public long? CouponType
    {
        get => couponType;
        set => this.couponType = value;
    }

    [JsonPropertyName("coupon_activity_id")]
    public string? CouponActivityId
    {
        get => couponActivityId;
        set => this.couponActivityId = value;
    }

}

